%define dist Curses
Name: perl-%dist
Version: 1.24
Release: alt1

Summary: Terminal screen handling and optimization
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Tue Dec 16 2008
BuildRequires: libncursesw-devel perl-devel

%description
Curses is the interface between Perl and ncurses(3) library.
The curses library routines are a terminal-independent method of updating
character screens with reasonable optimization.  The ncurses (new curses)
library is a freely distributable replacement for the discontinued 4.4BSD
classic curses library.

%prep
%setup -q -n %dist-%version
%patch -p1

%build
export	CURSES_CFLAGS=-I%_includedir/ncursesw CURSES_LDFLAGS='-ltinfo -lncursesw' \
	CURSES_PANEL_LDFLAGS=-lpanelw CURSES_MENU_LDFLAGS=-lmenuw CURSES_FORM_LDFLAGS=-lformw
%perl_vendor_build PANELS MENUS FORMS

# no tests provided, make sure Curses can be loaded
perl -Mblib -MCurses -e1

%install
%perl_vendor_install

%files
%doc HISTORY README demo*
%perl_vendor_archlib/Curses*
%perl_vendor_autolib/Curses*

%changelog
* Tue Dec 16 2008 Alexey Tourbin <at@altlinux.ru> 1.24-alt1
- 1.14 -> 1.24

* Mon Jun 26 2006 Alexey Tourbin <at@altlinux.ru> 1.14-alt2
- fixed linkage (see #9608)

* Tue Jun 13 2006 Alexey Tourbin <at@altlinux.ru> 1.14-alt1
- 1.12 -> 1.14
- built with libncursesw (#9608)

* Fri Apr 15 2005 Alexey Tourbin <at@altlinux.ru> 1.12-alt1
- 1.11 -> 1.12
- alt-makefile-linkage.patch mreged upstream (cpan #11914)
- removed %_bindir/rep in favour of watch(1)
- added demo files

* Thu Mar 17 2005 Alexey Tourbin <at@altlinux.ru> 1.11-alt1
- 1.10 -> 1.11, VERSION was fixed upstream (cpan #11853)
- fixed linkage with libform, libmenu, and libpanel (cpan #11914)
- added %_bindir/rep (by Tom Christiansen, see perlfaq3)

* Sat Mar 12 2005 Alexey Tourbin <at@altlinux.ru> 1.10-alt2
- fuck! fixed VERSION so that Curses even work (cpan #11853)

* Sat Mar 12 2005 Alexey Tourbin <at@altlinux.ru> 1.10-alt1
- 1.06 -> 1.10
- manual pages not packaged (use perldoc)

* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.06-alt2.1
- Rebuilt with rpm-build-perl-0.5.1.

* Fri Jul 30 2004 Alexey Tourbin <at@altlinux.ru> 1.06-alt2
- resurrected; revamped specfile
- mdk-sv_isa.patch: fix build
- updated description

* Fri Nov  9 2001 Igor Homyakov <homyakov@altlinux.ru> alt1 
- Build package for ALTLinux 
